# 2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read POST https://graph.facebook.com/json/2/account.move/search_read Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/royalties-payout-workflow/2-search-existing-journal-entry-https-m-musicca-st-json-2-account-move-search-read ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /json/2/account.move/search_read: post: operationId: >- 2-search-existing-journal-entry-https-m-musicca-st-json-2-account-move-search-read summary: >- 2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read tags: - subpackage_royaltiesPayoutWorkflow responses: '200': description: OK content: application/json: schema: type: array items: $ref: >- #/components/schemas/Json2AccountMoveSearchReadPostResponsesContentApplicationJsonSchemaItems requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: Json2AccountMoveSearchReadPostResponsesContentApplicationJsonSchemaItems: type: object properties: id: type: integer required: - id title: Json2AccountMoveSearchReadPostResponsesContentApplicationJsonSchemaItems ``` ## SDK Code Examples ```python Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example import requests url = "https://graph.facebook.com/json/2/account.move/search_read" payload = "{ \"domain\": [ [ \"ref\", \"=\", \"In review: Royalty Payout: {{reference}} ({{date}})\" //Reference and date value from incoming json ] ], \"fields\": [ \"id\" ] }" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example const url = 'https://graph.facebook.com/json/2/account.move/search_read'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"{\n \"domain\": [\n [\n \"ref\",\n \"=\",\n \"In review: Royalty Payout: {{reference}} ({{date}})\" //Reference and date value from incoming json\n ]\n ],\n \"fields\": [\n \"id\"\n ]\n}"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/json/2/account.move/search_read" payload := strings.NewReader("\"{\\n \\\"domain\\\": [\\n [\\n \\\"ref\\\",\\n \\\"=\\\",\\n \\\"In review: Royalty Payout: {{reference}} ({{date}})\\\" //Reference and date value from incoming json\\n ]\\n ],\\n \\\"fields\\\": [\\n \\\"id\\\"\\n ]\\n}\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example require 'uri' require 'net/http' url = URI("https://graph.facebook.com/json/2/account.move/search_read") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"domain\\\": [\\n [\\n \\\"ref\\\",\\n \\\"=\\\",\\n \\\"In review: Royalty Payout: {{reference}} ({{date}})\\\" //Reference and date value from incoming json\\n ]\\n ],\\n \\\"fields\\\": [\\n \\\"id\\\"\\n ]\\n}\"" response = http.request(request) puts response.read_body ``` ```java Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/json/2/account.move/search_read") .header("Content-Type", "application/json") .body("\"{\\n \\\"domain\\\": [\\n [\\n \\\"ref\\\",\\n \\\"=\\\",\\n \\\"In review: Royalty Payout: {{reference}} ({{date}})\\\" //Reference and date value from incoming json\\n ]\\n ],\\n \\\"fields\\\": [\\n \\\"id\\\"\\n ]\\n}\"") .asString(); ``` ```php Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example request('POST', 'https://graph.facebook.com/json/2/account.move/search_read', [ 'body' => '"{\\n \\"domain\\": [\\n [\\n \\"ref\\",\\n \\"=\\",\\n \\"In review: Royalty Payout: {{reference}} ({{date}})\\" //Reference and date value from incoming json\\n ]\\n ],\\n \\"fields\\": [\\n \\"id\\"\\n ]\\n}"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example using RestSharp; var client = new RestClient("https://graph.facebook.com/json/2/account.move/search_read"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"domain\\\": [\\n [\\n \\\"ref\\\",\\n \\\"=\\\",\\n \\\"In review: Royalty Payout: {{reference}} ({{date}})\\\" //Reference and date value from incoming json\\n ]\\n ],\\n \\\"fields\\\": [\\n \\\"id\\\"\\n ]\\n}\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Royalties Payout Workflow_2. Search Existing Journal Entry - https://m.musicca.st/json/2/account.move/search_read_example import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"domain\": [ [ \"ref\", \"=\", \"In review: Royalty Payout: {{reference}} ({{date}})\" //Reference and date value from incoming json ] ], \"fields\": [ \"id\" ] }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/json/2/account.move/search_read")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```